%define upstream_name	 Module-Pluggable-Fast
%define upstream_version 0.19

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	Fast plugins with instantiation
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl(UNIVERSAL::require)
BuildArch:	noarch

%description
This module is similar to Module::Pluggable but instantiates plugins as soon as
they're found, useful for code generators like Class::DBI::Loader.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc README Changes META.yml
%{perl_vendorlib}/Module
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.190.0-8pclos2017
- rebuild against updates

